
Redmine - Feature #14468

Search for text in description and comments in issue search and restrict projects.

2013-07-16 08:17 - Daniel Migowski

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues filter Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

Hi,

I am considering switching from Bugzilla to Redmine, but the only thing I will miss is the great extended issue search of Bugzilla, from

which I need the following features mostly:

Search for specific Strings in the description of the issue, not the thema.

Search for specific Strings in the comments of an issue.

Combine the above with:

Constrain the search to specific resolution types

Constrain the serach to specific projects

Currently Redmine allows to fulltext search but only in the "current" project, or in all Projects, if I navigate manually to

<redmine>/issue (why isn't there a link on the start page? How do I get one?).

If I navigate to a toplevel project, I see the issues of the toplevel project and all subprojects, but cannot constrain further. The field

"project" can not even be choosen from the list of filterable fields, althought it would be definitely useful is is not implied by the

project, because I find it feasable to filter these.

If I am in the issues list I also cannot combine a text search with the usual filter parameters, which is also not understandable.

Searching for the description of a bug or the comment texts shouldn't be too hard, is it? Most databases today (like PostgreSQL)

even allow an indexed full text search in fields so speed wouldn't be a concern here also. Why can Bugzilla handle this, and Redmine

cannot?

Also I would like to have my commonly searched fields always displayed (maybe with an empty value to the operator), so I don't

always have to choose them from the list, but this is secondary.

Please add these features, and Bugzilla will be gone for me.

Related issues:

Related to Redmine - Feature #1159: Allow issue description to be searchable ... Closed 2008-05-01

Related to Redmine - Feature #5893: Filter issues by notes Closed 2010-07-16

History

#1 - 2013-07-23 01:20 - Toshi MARUYAMA

- Category set to Search engine

#2 - 2013-08-05 08:57 - Daniel Migowski

At least the search in description was easy to create:

In Redmine 2.3.1: app/models/issue_query.rb, ~ line 148:

        :values => categories.collect{|s| [s.name, s.id.to_s] }

    end 

    # to search descriptions start

    add_available_filter "description", :type => :text

    # to search descriptions end
    add_available_filter "subject", :type => :text

    add_available_filter "created_on", :type => :date_past

    add_available_filter "updated_on", :type => :date_past@

#3 - 2013-08-06 00:29 - Mischa The Evil

- Related to Feature #1159: Allow issue description to be searchable as a filter added

#4 - 2013-08-06 00:29 - Mischa The Evil

- Related to Feature #5893: Filter issues by notes added

#5 - 2019-01-12 09:21 - Vessdcvpnkins Dessbel

Deleted message because of spam. (Bernhard Rohloff)

#6 - 2019-03-25 11:37 - Yap Sody

Deleted message because of spam. (Bernhard Rohloff)

#7 - 2021-07-04 06:41 - Go MAEDA

- Category changed from Search engine to Issues filter

- Status changed from New to Closed

- Resolution set to Fixed

Filter for issue description is available in Redmine 3.2.0 (#1159), and filter by notes will be available in Redmine 5.0.0 (#5893).

Closing.
